phpQuery

# Class: CallbackReference

Source Location: /Callback.php

### Class Overview

    											Callback
       |
       --CallbackReference

Callback class implementing ParamStructures, pattern similar to Currying.

#### Author(s):

- Tobiasz Cudnik

### Methods

- __construct

### Inherited Variables

#### Class: Callback

Callback::$callback
Callback::$params

### Inherited Methods

#### Class: Callback

Callback::__construct()
Callback::param()

### Class Details

[line 27]
Callback class implementing ParamStructures, pattern similar to Currying.

#### Tags:

author: | Tobiasz Cudnik

[ Top ]

### Class Methods

### constructor __construct [line 34]

`CallbackReference __construct( $reference &$reference, [$paramIndex $name = null])`

#### Tags:

todo: | implement $paramIndex; param index choose which callback param will be passed to reference
access: | public

Overrides Callback::__construct() (parent method not documented)

#### Parameters:

$reference | &$reference |
$paramIndex | $name |

[ Top ]

Documentation generated on Tue, 18 Nov 2008 19:39:24 +0100 by phpDocumentor 1.4.2